[Libreoffice-commits] core.git: desktop/scripts
Stephan Bergmann
sbergman at redhat.com
Sat Feb 11 11:54:56 UTC 2017
desktop/scripts/soffice.sh | 13 +++----------
desktop/scripts/unopkg.sh | 13 +++----------
2 files changed, 6 insertions(+), 20 deletions(-)
New commits:
commit 709709962d09a22c9594c7a440c6543ad4843ecf
Author: Stephan Bergmann <sbergman at redhat.com>
Date: Sat Feb 11 12:54:24 2017 +0100
Upon failure, 'cd' itself already prints a message to stderr
Change-Id: Iabe3a6bb14ca3e83a0792d7fc131ae0ac74e578c
diff --git a/desktop/scripts/soffice.sh b/desktop/scripts/soffice.sh
index f855fe7..b73d6b3 100755
--- a/desktop/scripts/soffice.sh
+++ b/desktop/scripts/soffice.sh
@@ -39,26 +39,19 @@ export SAL_ENABLE_FILE_LOCKING
#@JITC_PROCESSOR_TYPE_EXPORT@
-cd_or_exit() {
- if ! cd "$1"; then
- echo "Can't cd to $1"
- exit 1
- fi
-}
-
# resolve installation directory
sd_cwd=$(pwd)
sd_res="$0"
while [ -h "$sd_res" ] ; do
sd_dirname=$(dirname "$sd_res")
- cd_or_exit "$sd_dirname"
+ cd "$sd_dirname" || exit $?
sd_basename=$(basename "$sd_res")
sd_res=$(ls -l "$sd_basename" | sed "s/.*$sd_basename -> //g")
done
sd_dirname=$(dirname "$sd_res")
-cd_or_exit "$sd_dirname"
+cd "$sd_dirname" || exit $?
sd_prog=$(pwd)
-cd_or_exit "$sd_cwd"
+cd "$sd_cwd" || exit $?
# linked build needs additional settings
if [ -e "${sd_prog}/ooenv" ] ; then
diff --git a/desktop/scripts/unopkg.sh b/desktop/scripts/unopkg.sh
index c66da9b..83068d2 100755
--- a/desktop/scripts/unopkg.sh
+++ b/desktop/scripts/unopkg.sh
@@ -21,26 +21,19 @@
SAL_ENABLE_FILE_LOCKING=1
export SAL_ENABLE_FILE_LOCKING
-cd_or_exit() {
- if ! cd "$1"; then
- echo "Can't cd to $1"
- exit 1
- fi
-}
-
# resolve installation directory
sd_cwd=$(pwd)
sd_res="$0"
while [ -h "$sd_res" ] ; do
sd_dirname=$(dirname "$sd_res")
- cd_or_exit "$sd_dirname"
+ cd "$sd_dirname" || exit $?
sd_basename=$(basename "$sd_res")
sd_res=$(ls -l "$sd_basename" | sed "s/.*$sd_basename -> //g")
done
sd_dirname=$(dirname "$sd_res")
-cd_or_exit "$sd_dirname"
+cd "$sd_dirname" || exit $?
sd_prog=$(pwd)
-cd_or_exit "$sd_cwd"
+cd "$sd_cwd" || exit $?
# this is a temporary hack until we can live with the default search paths
case "$(uname -s)" in
More information about the Libreoffice-commits
mailing list